package com.gemserk.games.discoverthename.levels;

import java.util.ArrayList;
import java.util.List;

import org.newdawn.slick.geom.Vector2f;

public class ScenesDefinitionsImpl implements ScenesDefinitions {

	class LevelBuilder {

		LevelDescription levelDescription = new LevelDescription();

		void ball(BallDescription ballDescription) {
			levelDescription.ballDescriptions.add(ballDescription);
		}
		
		void target(TargetDescription targetDescription) {
			levelDescription.targetDescriptions.add(targetDescription);
		}	

		void block(BlockDescription blockDescription) {
			levelDescription.blockDescriptions.add(blockDescription);
		}

		LevelDescription build() {
			return levelDescription;
		}

	}

	@Override
	public List<LevelDescription> levels() {
		List<LevelDescription> list = new ArrayList<LevelDescription>();
		list.add(level01());
		list.add(level02());
		list.add(level03());
		list.add(level04());
		list.add(level05());
		list.add(level06());
		list.add(level07());
		return list;
	}

	private LevelDescription level04() {
		return new LevelBuilder() {
			{

				levelDescription.background = "background";

				ball(new BallDescription() {
					{
						position = new Vector2f(264f, 312f);
					}
				});
				
				target(new TargetDescription() {
					{
						position = new Vector2f(504f, 120f);
					}
				});
				
				block(new BlockDescription() {
					{
						position = new Vector2f(264f, 120f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(264f, 168f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(264f, 216f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(264f, 264f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(264f, 312f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(264f, 360f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(312f, 120f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(312f, 168f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(312f, 216f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(312f, 264f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(312f, 312f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(312f, 360f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(360f, 120f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(360f, 168f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(360f, 216f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(360f, 264f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(360f, 312f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(360f, 360f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(408f, 120f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(408f, 168f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(408f, 216f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(408f, 264f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(408f, 312f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(408f, 360f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(456f, 120f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(456f, 168f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(456f, 216f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(456f, 264f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(456f, 312f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(456f, 360f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(504f, 120f);
						breakable = false;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(504f, 168f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(504f, 216f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(504f, 264f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(504f, 312f);
						breakable = true;
					}
				});
				block(new BlockDescription() {
					{
						position = new Vector2f(504f, 360f);
						breakable = false;
					}
				});
				
			}
		}.build();
	}
	
	private LevelDescription level05() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				
				ball(new BallDescription(){{
					position = new Vector2f( 264f , 456f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 552f , 120f );
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 120f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 168f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 456f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 120f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 168f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 456f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 120f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 456f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 120f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 168f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 456f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 120f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 168f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 456f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 120f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 456f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 120f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 168f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 456f );
					breakable = true;
				}});
			}
		}.build();
	}
	
	private LevelDescription level01() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				
				ball(new BallDescription(){{
					position = new Vector2f( 312f , 360f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 504f , 264f );
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 360f );
					breakable = true;
				}});
			}
		}.build();
	}

	private LevelDescription level02() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				

				ball(new BallDescription(){{
					position = new Vector2f( 312f , 360f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 504f , 360f );
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 360f );
					breakable = false;
				}});

			}
		}.build();
	}

	private LevelDescription level03() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				
				ball(new BallDescription(){{
					position = new Vector2f( 312f , 360f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 408f , 360f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 504f , 216f );
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 360f );
					breakable = true;
				}});
			}
		}.build();
	}
	
	private LevelDescription level06() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				
				ball(new BallDescription(){{
					position = new Vector2f( 168f , 408f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 696f , 408f );
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 168f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 168f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 216f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 216f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 456f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 504f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 504f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 456f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 504f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 456f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 504f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 504f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 456f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 504f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 648f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 648f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 696f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 696f , 408f );
					breakable = false;
				}});
				
			}
		}.build();
	}
	
	private LevelDescription level07() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				
				ball(new BallDescription(){{
					position = new Vector2f( 168f , 312f );
				}});
				target(new TargetDescription(){{
					position = new Vector2f( 648f , 312f );
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 168f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 168f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 168f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 216f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 216f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 264f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 312f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 216f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 360f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 264f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 408f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 456f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 312f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 504f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 216f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 264f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 360f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 552f , 408f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 600f , 408f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 648f , 312f );
					breakable = false;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 648f , 360f );
					breakable = true;
				}});
				block(new BlockDescription(){{
					position = new Vector2f( 648f , 408f );
					breakable = true;
				}});
			}
		}.build();
	}
	
	private LevelDescription levelTemplate() {
		return new LevelBuilder() {
			{
				levelDescription.background = "background";
				
			}
		}.build();
	}

}
